# IceMX::SessionMetrics

## Overview

### class SessionMetrics extends Metrics

Provides information on Glacier2 sessions.

## Data Member Index

forwardedClient
  Number of client requests forwared.
forwardedServer
  Number of server requests forwared.
routingTableSize
  The size of the routing table.
queuedClient
  Number of client requests queued.
queuedServer
  Number of server requests queued.
overriddenClient
  Number of client requests overridden.
overriddenServer
  Number of server requests overridden.

## Data Members

### int forwardedClient;

Number of client requests forwared.

### int forwardedServer;

Number of server requests forwared.

### int routingTableSize;

The size of the routing table.

### int queuedClient;

Number of client requests queued.

### int queuedServer;

Number of server requests queued.

### int overriddenClient;

Number of client requests overridden.

### int overriddenServer;

Number of server requests overridden.